Usage records
List the caller's own usage events
List the caller's own usage events
curl --request GET \
--url https://agentgateway.atlan.engineering/registry/v1/usage/events \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://agentgateway.atlan.engineering/registry/v1/usage/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://agentgateway.atlan.engineering/registry/v1/usage/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"cache_read_tokens": 123,
"cache_write_tokens": 123,
"commit_ts": "<string>",
"cost_nanos": 123,
"duration_ms": 123,
"event_id": "<string>",
"input_tokens": 123,
"operation": "<string>",
"output_tokens": 123,
"pricing_source": "<string>",
"reasoning_tokens": 123,
"started_at": "<string>",
"status": "<string>",
"streamed": true,
"surface": "<string>",
"workspace_id": "<string>",
"actor": "<string>",
"error_class": "<string>",
"provider_id": "<string>",
"provider_type": "<string>",
"resource_id": "<string>",
"resource_name": "<string>",
"session_id": "<string>",
"subject": "<string>",
"trace_id": "<string>",
"ttft_ms": 123,
"upstream_resource": "<string>",
"user_id": "<string>"
}
],
"page": {
"limit": 1,
"offset": 1,
"total": 1
}
}{
"code": "invalid_query",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
x >= 0Required range:
x >= 0⌘I
List the caller's own usage events
curl --request GET \
--url https://agentgateway.atlan.engineering/registry/v1/usage/events \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://agentgateway.atlan.engineering/registry/v1/usage/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://agentgateway.atlan.engineering/registry/v1/usage/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"cache_read_tokens": 123,
"cache_write_tokens": 123,
"commit_ts": "<string>",
"cost_nanos": 123,
"duration_ms": 123,
"event_id": "<string>",
"input_tokens": 123,
"operation": "<string>",
"output_tokens": 123,
"pricing_source": "<string>",
"reasoning_tokens": 123,
"started_at": "<string>",
"status": "<string>",
"streamed": true,
"surface": "<string>",
"workspace_id": "<string>",
"actor": "<string>",
"error_class": "<string>",
"provider_id": "<string>",
"provider_type": "<string>",
"resource_id": "<string>",
"resource_name": "<string>",
"session_id": "<string>",
"subject": "<string>",
"trace_id": "<string>",
"ttft_ms": 123,
"upstream_resource": "<string>",
"user_id": "<string>"
}
],
"page": {
"limit": 1,
"offset": 1,
"total": 1
}
}{
"code": "invalid_query",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}